### Function Macro

# GLib node_append_data

#### Declaration

    #define g_node_append_data (
      parent,
      data
    )

#### Description

Inserts a new `GNode` as the last child of the given parent.

This function is not directly available to language bindings.

#### Parameters

`parent`

  Type: `-`

  The `GNode` to place the new `GNode` under.

`data`

  Type: `-`

  The data for the new `GNode`.